function announce(totemName, mode)
 if totemName then -- only display when a totemName is given
  local announceMessage = string.format(getLocaleString("ANNOUNCE"), totemName)
  if mode == "destroyed" then
   announceMessage = string.format(getLocaleString("ANNOUNCE2"), totemName)
  end
  
  local announcerMethods = {
  ["MikSBT"] = function(message)
				if MikSBT then
				 MikSBT.DisplayMessage(message, MikSBT.DISPLAYTYPE_NOTIFICATION, true, ANNOUNCE_COLOR.r, ANNOUNCE_COLOR.g, ANNOUNCE_COLOR.b)
				end
			   end,
  ["FCT"] = function(message)
				if CombatText then
				 CombatText_AddMessage(message, COMBAT_TEXT_SCROLL_FUNCTION, ANNOUNCE_COLOR.r, ANNOUNCE_COLOR.g, ANNOUNCE_COLOR.b, "crit",0);
				end
			   end,
  ["SCT"] = function(message)
				if SCT then
				 SCT:DisplayCustomEvent(message, ANNOUNCE_COLOR, 14, SCT.FRAME1)
				end
			   end,
  ["PARROT"] = function(message)
				if Parrot then
				 Parrot:ShowMessage(message, "Notification", false, ANNOUNCE_COLOR.r, ANNOUNCE_COLOR.g, ANNOUNCE_COLOR.b)
				end
			   end,
  }
  if ANNOUNCE_TO ~= nil then
   announcerMethods[ANNOUNCE_TO](announceMessage)
  end
 end
end
