﻿--[[ getLocaleString
-- @autor: Christoph Bähr
-- @description: getter method for localized string
-- @version: 0.6
-- @usage: localeString[, locale]
--]]

local localeStringArray = {
 ["TOTEM_4"] = {
						["enGB"] = "Air",
						["enUS"] = "Air",
						["deDE"] = "Luft",
				},
 ["TOTEM_3"] = {
						["enGB"] = "Water",
						["enUS"] = "Water",
						["deDE"] = "Wasser",
				},
 ["TOTEM_2"] = {
						["enGB"] = "Earth",
						["enUS"] = "Earth",
						["deDE"] = "Erde",
				},

 ["TOTEM_1"] = {
						["enGB"] = "Fire",
						["enUS"] = "Fire",
						["deDE"] = "Feuer",
				},

 ["CONFIG_TITLE"] = {
						["enGB"] = "MacTotemTimer",
						["enUS"] = "MacTotemTimer",
						["deDE"] = "MacTotemTimer",
					},
 ["CONFIG_TEXT_TITLE"] = {
						["enGB"] = "Text",
						["enUS"] = "Text",
						["deDE"] = "Text",
					},
 ["CONFIG_FLASH_TITLE"] = {
						["enGB"] = "Flash",
						["enUS"] = "Flash",
						["deDE"] = "Blinken",
					},
 ["CONFIG_PAGEDESCRIPTION"] = {
						["enGB"] = "MacTotemTimer provides 4 representive totem-buttons for shamans that display the remaining lifetime and allow rightclicking to destroy the totem.",
						["enUS"] = "MacTotemTimer provides 4 representive totem-buttons for shamans that display the remaining lifetime and allow rightclicking to destroy the totem.",
						["deDE"] = "MacTotemTimer zeigt für Schamanen 4 repräsentative Totem-Buttons an, welche die verbleibende Zeit anzeigt und es ermöglicht mit der rechten Maus das jeweilige Totem zu zerstören.",
					},
 ["CONFIG_TEXTDESCRIPTION"] = {
						["enGB"] = "Customize the appearence of the totem-timers",
						["enUS"] = "Customize the appearence of the totem-timers",
						["deDE"] = "Passt die Darstellung der Totem-Timer an",
					},
 ["CONFIG_FLASHDESCRIPTION"] = {
						["enGB"] = "Customize the timings of the flash effect",
						["enUS"] = "Customize the timings of the flash effect",
						["deDE"] = "Passt die Timings des Blinkeffekts an",
					},					
 ["CONFIG_TEXT_SETTINGS"] = {
						["enGB"] = "text settings",
						["enUS"] = "text settings",
						["deDE"] = "Text Einstellungen",
					},
 ["CONFIG_TEXT_FONT"] = {
						["enGB"] = "font",
						["enUS"] = "font",
						["deDE"] = "Schriftart",
					},
 ["CONFIG_TEXT_FONTSIZE"] = {
						["enGB"] = "fontsize",
						["enUS"] = "fontsize",
						["deDE"] = "Schriftgröße",
					},
 ["CONFIG_TEXT_OFFSETY"] = {
						["enGB"] = "offset-y",
						["enUS"] = "offset-y",
						["deDE"] = "Abstand-y",
					},
 ["CONFIG_TEXT_OUTLINE"] = {
						["enGB"] = "text outline",
						["enUS"] = "text outline",
						["deDE"] = "Textrahmen",
					},
 ["CONFIG_TEXT_SHADOW"] = {
						["enGB"] = "text shadow",
						["enUS"] = "text shadow",
						["deDE"] = "Textschatten",
					},
 ["CONFIG_TEXT_COLOR"] = {
						["enGB"] = "text color",
						["enUS"] = "text color",
						["deDE"] = "Textfarbe",
					},
 ["CONFIG_FLASH_SETTINGS"] = {
						["enGB"] = "flasheffect settings",
						["enUS"] = "flasheffect settings",
						["deDE"] = "Blinken Einstellungen",
					},
 ["CONFIG_FLASH_SPEED1"] = {
						["enGB"] = "fade-out time",
						["enUS"] = "fade-out time",
						["deDE"] = "Ausblendgeschwindigkeit",
					},
 ["CONFIG_FLASH_SPEED2"] = {
						["enGB"] = "fade-in time",
						["enUS"] = "fade-in time",
						["deDE"] = "Einblendgeschwindigkeit",
					},
 ["CONFIG_FLASH_UPPERBORDER"] = {
						["enGB"] = "max. opaque",
						["enUS"] = "max. opaque",
						["deDE"] = "max. sichtbarkeit",
					},
 ["CONFIG_FLASH_LOWERBORDER"] = {
						["enGB"] = "min. opaque",
						["enUS"] = "min. opaque",
						["deDE"] = "min. sichtbarkeit",
					},
 ["CONFIG_FLASH_SLOW"] = {
						["enGB"] = "slow",
						["enUS"] = "slow",
						["deDE"] = "langsam",
					},
 ["CONFIG_FLASH_FAST"] = {
						["enGB"] = "instant",
						["enUS"] = "instant",
						["deDE"] = "instantan",
					},
 ["CONFIG_FLASH_INVISIBLE"] = {
						["enGB"] = "translucent",
						["enUS"] = "translucent",
						["deDE"] = "durchsichtig",
					},
 ["CONFIG_FLASH_VISIBLE"] = {
						["enGB"] = "opaque",
						["enUS"] = "opaque",
						["deDE"] = "sichtbar",
					},
 ["CONFIG_SIMPLE"] = {
						["enGB"] = "Totem settings",
						["enUS"] = "Totem settings",
						["deDE"] = "Totem Einstellungen",
					},
 ["CONFIG_SCALE"] = {
						["enGB"] = "button scale",
						["enUS"] = "button scale",
						["deDE"] = "Button skalierung",
					},
 ["CONFIG_ORDER1"] = {
						["enGB"] = "Totembutton 1 : %s",
						["enUS"] = "Totembutton 1 : %s",
						["deDE"] = "Totembutton 1 : %s",
					},
 ["CONFIG_ORDER2"] = {
						["enGB"] = "Totembutton 2 : %s",
						["enUS"] = "Totembutton 2 : %s",
						["deDE"] = "Totembutton 2 : %s",
					},
 ["CONFIG_ORDER3"] = {
						["enGB"] = "Totembutton 3 : %s",
						["enUS"] = "Totembutton 3 : %s",
						["deDE"] = "Totembutton 3 : %s",
					},
 ["CONFIG_ORDER4"] = {
						["enGB"] = "Totembutton 4 : %s",
						["enUS"] = "Totembutton 4 : %s",
						["deDE"] = "Totembutton 4 : %s",
					},
					
 ["CONFIG_MISC"] = {
						["enGB"] = "misc settings",
						["enUS"] = "misc settings",
						["deDE"] = "Sonstige Einstellungen",
					},
 ["CONFIG_SCALE_SMALL"] = {
						["enGB"] = "tiny (0.25)",
						["enUS"] = "tiny (0.25)",
						["deDE"] = "winzig (0.25)",
					},
 ["CONFIG_SCALE_WIDE"] = {
						["enGB"] = "big (2)",
						["enUS"] = "big (2)",
						["deDE"] = "riesig (2)",
					},
 ["CONFIG_MISC_UNLOCK"] = {
						["enGB"] = "unlock totemframe (rightmousebutton)",
						["enUS"] = "unlock totemframe (rightmousebutton)",
						["deDE"] = "Totemfenster entsperren (rechte Maustaste)",
					},
 ["CONFIG_MISC_HIDE"] = {
						["enGB"] = "hide blizzard's totemframe",
						["enUS"] = "hide blizzard's totemframe",
						["deDE"] = "Blizzards Totemfenster verstecken",
					},
 ["CONFIG_EXAMPLE"] = {
						["enGB"] = "preview",
						["enUS"] = "preview",
						["deDE"] = "Vorschau",
					},
 ["ANNOUNCE"] = 	{
						["enGB"] = "%s is about to expire",
						["enUS"] = "%s is about to expire",
						["deDE"] = "%s läuft aus",
					},
 ["ANNOUNCE2"] = 	{
						["enGB"] = "%s is destroyed",
						["enUS"] = "%s is destroyed",
						["deDE"] = "%s wurde zerstört.",
					},
 ["CONFIG_ANNOUNCE_TITLE"] = {
						["enGB"] = "Announce",
						["enUS"] = "Announce",
						["deDE"] = "Benachrichtung",
					},
 ["CONFIG_ANNOUNCEDESCRIPTION"] = {
						["enGB"] = "TotemTimer will announce you when a Totem is about to expire with the selected method",
						["enUS"] = "TotemTimer will announce you when a Totem is about to expire with the selected method",
						["deDE"] = "TotemTimer können Sie, mithilfe der ausgewählten Methode, benachrichtigt werden, wenn ein Totem kurz davor steht auszulaufen.",
					},					
 ["CONFIG_ANNOUNCE_SETTINGS"] = {
						["enGB"] = "announce settings",
						["enUS"] = "announce settings",
						["deDE"] = "Benachrichtungs Einstellungen",
					},
 ["CONFIG_ANNOUNCE_ENABLE"] = {
						["enGB"] = "use a combattext addon as output",
						["enUS"] = "use a combattext addon as output",
						["deDE"] = "Verwendet ein Kampftext Addon als Ausgabe",
					},					
 ["CONFIG_ANNOUNCE_MIKSBT"] = {
						["enGB"] = "MikScrollingBattleText",
						["enUS"] = "MikScrollingBattleText",
						["deDE"] = "MikScrollingBattleText",
					},	
 ["CONFIG_ANNOUNCE_FCT"] = {
						["enGB"] = "Blizzards' floating combattext",
						["enUS"] = "Blizzards' floating combattext",
						["deDE"] = "Blizzards floating combattext",
					},	
 ["CONFIG_ANNOUNCE_SCT"] = {
						["enGB"] = "ScrollingCombatText",
						["enUS"] = "ScrollingCombatText",
						["deDE"] = "ScrollingCombatText",
					},	
 ["CONFIG_ANNOUNCE_PARROT"] = {
						["enGB"] = "Parrot",
						["enUS"] = "Parrot",
						["deDE"] = "Parrot",
					},	
 ["CONFIG_ANNOUNCE_NOTICE"] = {
						["enGB"] = "Announce totems that are about to expire",
						["enUS"] = "Announce totems that are about to expire",
						["deDE"] = "Benachrichtigen sobald ein Totem ausläuft",
					},	
 ["CONFIG_ANNOUNCE_NOTICE2"] = {
						["enGB"] = "Announce totems that are destroyed",
						["enUS"] = "Announce totems that are destroyed",
						["deDE"] = "Benachrichtigen sobald ein Totem zerstört wurde",
					},	
 ["CONFIG_PARROT_WARNING"] = {
						["enGB"] = "FCT is disabled due problems with parrot",
						["enUS"] = "FCT is disabled due problems with parrot",
						["deDE"] = "FCT, ist wegen Schwierigkeiten mit Parrot, deaktiviert",
					},	
}

function getLocaleString(localeString, locale)
 locale = locale or GetLocale()
 if locale ~= "enUS" or locale ~= "enGB" or locale ~= "deDE" then -- use default
  return localeStringArray[localeString][locale]
 else
  return localeStringArray[localeString]["enUS"]
 end
end 